| ovrnaevalpair

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate energy of RNA sequences on given secondary structure

## Description

This is a port of the Vienna RNA package program RNAeval.

It evaluates the free energy of the co-folding of two RNA strands with fixed secondary structure. Sequences and structures are read and the energy in Kcal/Mol is output.

The original program has additional inputs and produces different outputs, depending on the options selected. In the EMBASSY implementation it is split into ovrnaeval and ovrnaevalpair

## Algorithm

The program will continue to read new sequences and structures until a line consisting of the single character "@" or an end of file condition is encountered.

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with ovrnaevalpair

    % ovrnaevalpair
    Calculate energy of RNA sequences on given secondary structure
    Input nucleotide sequence: cofold-red.fasta
    Vienna RNA structure constraints file: cofold-red.con
    Second nucleotide sequence: cofold-blue.fasta
    Second vienna RNA structure constraints file: cofold-blue.con
    Vienna RNAeval output file [red.ovrnaevalpair]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate energy of RNA sequences on given secondary structure
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-asequence]         sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-aconstraintfile]   infile     Vienna RNA structure constraints file
      [-bsequence]         sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-bconstraintfile]   infile     Second vienna RNA structure constraints file
      [-outfile]           outfile    [*.ovrnaevalpair] Vienna RNAeval output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]convert        boolean    [Y] Convert T to U
       -[no]tetraloop      boolean    [Y] Stabilising energies for tetra-loops
       -circular           boolean    [N] Circular RNA
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -dangles            menu       [1] Method (Values: 0 (No stabilising
                                      energies for dangling ends); 1 (Use
                                      stabilising energies for dangling ends); 2
                                      (Dangling energies as in a partition
                                      function 3:Allow coaxial stacking of
                                      adjacent helices))
       -logml              boolean    [N] Use log scale for multiloop energies

       Associated qualifiers:

       "-asequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-bsequence" associated qualifiers
       -sbegin3            integer    Start of the sequence to be used
       -send3              integer    End of the sequence to be used
       -sreverse3          boolean    Reverse (if DNA)
       -sask3              boolean    Ask for begin/end/reverse
       -snucleotide3       boolean    Sequence is nucleotide
       -sprotein3          boolean    Sequence is protein
       -slower3            boolean    Make lower case
       -supper3            boolean    Make upper case
       -scircular3         boolean    Sequence is circular
       -squick3            boolean    Read id and sequence only
       -sformat3           string     Input sequence format
       -iquery3            string     Input query fields or ID list
       -ioffset3           integer    Input start position offset
       -sdbname3           string     Database name
       -sid3               string     Entryname
       -ufo3               string     UFO features
       -fformat3           string     Features format
       -fopenfile3         string     Features file name

       "-outfile" associated qualifiers
       -odirectory5        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-asequence] (Parameter 1) | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-aconstraintfile] (Parameter 2) | infile | Vienna RNA structure constraints file | Input file | Required
[-bsequence] (Parameter 3) | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-bconstraintfile] (Parameter 4) | infile | Second vienna RNA structure constraints file | Input file | Required
[-outfile] (Parameter 5) | outfile | Vienna RNAeval output file | Output file | <*>.ovrnaevalpair
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | float | Temperature | Any numeric value | 37.0
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-[no]tetraloop | boolean | Stabilising energies for tetra-loops | Boolean value Yes/No | Yes
-circular | boolean | Circular RNA | Boolean value Yes/No | No
-energy | list | Rarely used option to fold sequences from the ABCD... alphabet |
0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)
| 0
-dangles | list | Method |
0 | (No stabilising energies for dangling ends)
1 | (Use stabilising energies for dangling ends)
2 | (Dangling energies as in a partition function 3:Allow coaxial stacking of adjacent helices)
| 1
-logml | boolean | Use log scale for multiloop energies | Boolean value Yes/No | No
Associated qualifiers
"-asequence" associated sequence qualifiers
-sbegin1 -sbegin_asequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_asequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_asequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_asequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_asequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_asequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_asequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_asequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_asequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_asequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_asequence | string | Input sequence format | Any string |
-iquery1 -iquery_asequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_asequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_asequence | string | Database name | Any string |
-sid1 -sid_asequence | string | Entryname | Any string |
-ufo1 -ufo_asequence | string | UFO features | Any string |
-fformat1 -fformat_asequence | string | Features format | Any string |
-fopenfile1 -fopenfile_asequence | string | Features file name | Any string |
"-bsequence" associated sequence qualifiers
-sbegin3 -sbegin_bsequence | integer | Start of the sequence to be used | Any integer value | 0
-send3 -send_bsequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse3 -sreverse_bsequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask3 -sask_bsequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide3 -snucleotide_bsequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein3 -sprotein_bsequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower3 -slower_bsequence | boolean | Make lower case | Boolean value Yes/No | N
-supper3 -supper_bsequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular3 -scircular_bsequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick3 -squick_bsequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat3 -sformat_bsequence | string | Input sequence format | Any string |
-iquery3 -iquery_bsequence | string | Input query fields or ID list | Any string |
-ioffset3 -ioffset_bsequence | integer | Input start position offset | Any integer value | 0
-sdbname3 -sdbname_bsequence | string | Database name | Any string |
-sid3 -sid_bsequence | string | Entryname | Any string |
-ufo3 -ufo_bsequence | string | UFO features | Any string |
-fformat3 -fformat_bsequence | string | Features format | Any string |
-fopenfile3 -fopenfile_bsequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory5 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

ovrnaevalpair reads any normal sequence USAs.

### Input files for usage example

### File: cofold-red.fasta

    >red
    AUGAAGAUGA

### File: cofold-red.con

    ....((((..

### File: cofold-blue.fasta

    >blue
    CUGUCUGUCUUGAGACA

### File: cofold-blue.con

    ..))))(((....))).

## Output file format

ovrnaevalpair outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: red.ovrnaevalpair

    AUGAAGAUGA&CUGUCUGUCUUGAGACA
    ....((((..&..))))(((....))). ( -4.40)

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
banana | Plot bending and curvature data for B-DNA
btwisted | Calculate the twisting in a B-DNA sequence
einverted | Find inverted repeats in nucleotide sequences
ovrnaalifold | Calculate secondary structures for a set of aligned RNAs
ovrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
ovrnacofold | Calculate secondary structures of RNA dimers
ovrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
ovrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
ovrnadistance | Calculate distances between RNA secondary structures
ovrnaduplex | Predict RNA duplex (hybridization) sites and structure
ovrnaeval | Calculate energy of RNA sequences with a given secondary structure
ovrnafold | Calculate min. energy RNA structure / pair probabilities (partition)
ovrnafoldpf | Calculate min. energy RNA structure / pair probabilities
ovrnaheat | Calculate specific heat of RNA melting
ovrnainverse | Find RNA sequences with a given secondary structure
ovrnalfold | Calculate locally stable secondary structures of RNAs
ovrnaplot | Draw RNA secondary structures
ovrnasubopt | Calculate suboptimal secondary structure of RNA
sirna | Find siRNA duplexes in mRNA
vrna2dfold | Calculate RNA structures and samples of k,l neighbourhoods
vrnaaliduplex | RNA duplex calculation for two sequence alignments
vrnaalifold | Calculate secondary structures for a set of aligned RNAs
vrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnacofold | Calculate secondary structures of RNA dimers
vrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
vrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
vrnadistance | Calculate distances between RNA secondary structures
vrnaduplex | Predict RNA duplex (hybridization) sites and structure
vrnaeval | Calculate energy of RNA sequences with a given secondary structure
vrnaevalpair | Calculate energy of RNA sequences on given secondary structure
vrnafold | Calculate min. energy RNA secondary structures and pair probabilities
vrnafoldpf | Calculate min. energy RNA structures / pair probabilities (partition)
vrnaheat | Calculate specific heat of RNA melting
vrnainverse | Find RNA sequences with a given secondary structure
vrnalalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnalfoldz | Calculate locally stable secondary structures of RNAs plus zscore
vrnapkplex | Calculate RNA structures plus pseudoknots
vrnaplfold | Compute avg. pair probabilities for local base pairs in RNA sequences
vrnaplot | Draw RNA secondary structures
vrnasubopt | Calculate suboptimal secondary structures of RNAs

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments